Part Cylinder
|
Menyplacering |
---|
Part → Cylinder |
Arbetsbänkar |
Part, Complete |
Standard genväg |
Ingen |
Introducerad i version |
- |
Se även |
Part CreatePrimitives |
Description
The Part Cylinder command creates a parametric cylinder solid. It is the result of extruding a circular arc along a straight path. In the coordinate system defined by its DataPlacement property, the bottom face of the cylinder lies on the XY plane with its center at the origin.
A Part Cylinder can be turned into a segment of a cylinder by changing its DataAngle property.
Usage
- There are several ways to invoke the command:
- Press the
Part Cylinder button.
- Select the Part → Primitives →
Cylinder option from the menu.
- Press the
- The cylinder is created.
- Optionally change the dimensions and DataPlacement of the cylinder by doing one of the following:
- Double-click the object in the Tree view:
- The Geometric Primitives task panel opens.
- Change one or more properties.
- The object is dynamically updated in the 3D view.
- Press the OK button.
- Change the properties in the Property editor.
- Change the DataPlacement with the
Std TransformManip command.
- Double-click the object in the Tree view:
Example
A Part Cylinder object created with the scripting example below is shown here.
Notes
- A Part Cylinder can also be created with the
Part Primitives command. With that command you can specify the dimensions and placement at creation time.
Properties
See also: Property editor.
A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Cylinder
- DataRadius (
Length
): The radius of the circular arc that defines the cylinder. The default is2mm
. - DataHeight (
Length
): The height of the cylinder. The default is10mm
. - DataAngle (
Angle
): The angle of the circular arc that defines the cylinder. Valid range:0° < value <= 360°
. The default is360°
. If it is smaller than360°
the resulting solid will be a segment of a cylinder.
Prism
- DataFirst Angle (
Angle
): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range:0° <= value < 90°
. The default is0°
. introduced in version 0.20 - DataSecond Angle (
Angle
): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range:0° <= value < 90°
. The default is0°
. introduced in version 0.20
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Cylinder can be created with the addObject()
method of the document:
cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
- Where
"myCylinder"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Extrude, Revolve, Mirror, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Attachment
- Boolean: Make compound, Explode Compound, Compound Filter, Boolean, Cut, Fuse, Common, Connect, Embed, Cutout, Boolean fragments, Slice apart, Slice, XOR
- Measure: Measure Linear, Measure Angular, Measure Refresh, Clear All, Toggle All, Toggle 3D, Toggle Delta

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub